package vip.xiaonuo.modular.energy.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 能耗电表
 * </p>
 *
 * @author author
 * @since 2023-12-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("energy_electricity")
public class EnergyElectricity implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 用水量
     */
    private String electricityValue;

    /**
     * 原始水量
     */
    private String originalValue;

    /**
     * 上传时间
     */
    private LocalDateTime originalDate;

    /**
     * 单元id
     */
    private Integer unitId;

    /**
     * 单元名称
     */
    private String unitName;

    /**
     * 组织id
     */
    private String orgId;

    /**
     * 设备编码
     */
    private String deviceCode;


}
